<template>
            <div class="location-widget">
                <div class="location-widget-header d-flex">
                    <div class="label">
                        <div class="location-widget-header-media" v-if="assurance!=null" >
                            <span class="icon-bl"> 
                                <i class="fas fa-shield-alt"></i>
                            </span>
                        </div>
                        <div class="location-widget-header-info">
                            <div class="title"> 
                                <span >
                                    Assurance 
                                </span>
                            </div>
                            <div class="desc" v-if="assurance!=null" > 
                                <span class="badge bagde-secondary">Assureur</span> : <strong class="text-uppercase"> {{assurance.assureur.nom}} </strong>   
                            </div>
                            <div class="desc" v-if="assurance!=null" > 
                                <span class="badge bagde-secondary">Numéro</span> : <strong class="text-uppercase"> {{assurance.nr}} </strong>   
                            </div>
                        </div>
                    </div>
                    <div class="toolbar">
                        <span class="money d-flex justify-content-end">

                                        <span v-if="assurance!=null" data-v-870ea75a  class="btn btn-label-success btn-sm btn-bold btn-upper d-inline-block w-100">Validée</span>
                                        <span v-else data-v-870ea75a  class="btn btn-label-danger btn-sm btn-bold btn-upper d-inline-block w-100">Non Validée</span>

                        </span>
                    </div>
                </div>
                <div class="location-widget-body"  >
                    <div class="location-widget-stats" >
                            <template v-if="assurance!=null">
                                <div class="location-widget-item" v-if="assurance!=null">
                                    <span class="location-widget-date">
                                        <i class="fas fa-hourglass-start mr-2" style=""></i> Début de validité
                                    </span> 
                                    <div class="label">
                                      <span class="btn btn-label-brand btn-sm btn-bold  d-inline-block w-100">{{ assurance.date_dbt | toDate }}</span>
                                    </div>
                                </div>
                                <div class="location-widget-item ml-4" v-if="assurance!=null">
                                    <span class="location-widget-date">
                                    <i class="fas fa-hourglass-end mr-2" style=""></i> Fin de validité
                                    </span> 
                                    <div class="label">
                                       <span class="btn btn-label-danger btn-sm btn-bold  d-inline-block w-100">{{ assurance.date_fin_prev | toDate }}</span>
                                    </div>
                                </div>
                            </template>
                            <template v-else>
                               <span class="no-document-message"> 
                                  {{ authorize('ajoute-assurance') ? "Veuillez enregistrer une assurance pour ce véhicule afin d'activer sa confirmation" : "Aucune assurance disponible pour cette voiture" }}
                               </span>
                            </template>
                    </div>
                </div>
                <div class="location-widget-footer" v-if="authorize('any',['ajoute-assurance','exporte-assurance'])" >
                    <div class="footer-wrapper ">
                        <div class="footer-wrapper-section">
                            <template v-if="assurance!=null">
                                <!-- :href="'/api/assurances/'+this.assurance.id+'/download' -->
                                <button v-if="authorize('exporte-assurance')"  @click="download" class="btn btn-secondary btn-sm btn-upper btn-bold mr-2"> <i class="fas fa-download mr-2" style=""></i> Télécharger </button>
                            </template>
                            <template v-else>
                                <button v-if="authorize('ajoute-assurance')"  @click="nouvelleAssurance()" type="button" class="btn btn-secondary btn-sm btn-upper btn-bold mr-2"> <i class="fas fa-plus mr-2" style=""></i> Ajouter une assurance </button>
                            </template>    
                        </div>
                        <div class="footer-wrapper-section">
                            <div class="footer-wrapper-section-blog">

                            </div>      
                        </div>
  
                    </div>
                </div>

            </div>
</template>
<script>
    export default {
        props: ['entity'],       
         data() {
            return{
                vehicule_est_connu:false,
                downloadLink:"",
                location:{
                    date_dbt: "",
                    date_fin_prev: "",
                    client_id: "",
                    vehicule_id: "",
                    montant: "",
                    montant_ttc:"",
                    nbr_jour:"",
                    client:{},
                    vehicule:{},
                    client_est_chauffeur: "",
                    nom_chauffeur: "",
                    nom_chauffeur_2: "",
                    updated_at: "",
                    created_at: "",
                    id: "",
                }
            }
            
        },
        mounted() {


        },
        computed:
        {
            assurance()
             {
                
                if(this.entity!=null && this.entity!=undefined && this.entity!="")
                  {
                    if(this.entity.hasOwnProperty('assurance'))
                    {
                         if(this.entity.assurance.length>0)
                        {
                          return  this.entity.assurance[0]
                        }
                    }
                  }
                 return null
             }  

        },
        methods:
        {
           nouvelleAssurance()
            {
                window.event.$emit('create-assurance-event')
            },
            download()
            {
                axios({
                url: "/api/assurances/"+this.assurance.id+"/download",
                method: 'GET',
                responseType: 'blob', // important
                }).then((response) => 
                {
                    const url = window.URL.createObjectURL(new Blob([response.data]));
                    const link = document.createElement('a');
                    link.href = url;
                    link.setAttribute('download','assurance-'+this.assurance.fichier);
                    document.body.appendChild(link);
                    link.click();
                })
            }
        }
    }
</script>
<style lang="scss" scoped>
.btn.btn-label-danger {
    background-color: rgba(253,57,122,.1);
    color: #fd397a;
    cursor: text!important;
}
.progress
{
height:20px;
margin-top:10px;
margin-bottom:20px;
}
 .location-widget
 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    height: calc(100% + 20px);
        -webkit-box-shadow: 0 0 13px 0 rgba(82,63,105,.05);
    box-shadow: 0 0 13px 0 rgba(82,63,105,.05);
    background-color: #fff;
    margin-bottom: 20px;
    border-radius: 4px;
    .label 
    {
            display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex: 1;
          .location-widget-header-media
          {
              margin-top: 1.5px;
              margin-top: .2rem;
                width: 100%;
                max-width: 60px;
                height: 60px;
                display: -webkit-box;
                display: -ms-flexbox;
                display: flex;
                -webkit-box-pack: center;
                -ms-flex-pack: center;
                justify-content: center;
                -webkit-box-align: center;
                -ms-flex-align: center;
                align-items: center;
                font-size: 1.5rem;
                border-radius: 8px;
            background: rgba(37, 35, 37, 0.1);
          }
          .location-widget-header-info
          {
              .title
              {
                font-size: 1.3rem;
                color: #48465b;
                font-weight: 600;
              }
              .desc
              {
                padding-top: .4rem;
                color: #595d6e;
                font-weight: 500;
                display: block;
              }
          }
    }
    .toolbar
    {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start;
    }
 }

 .location-widget-header
  {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding: 25px;
    padding-bottom: 0px;
    padding-top: 20px;
 }
 .location-widget-body {
    padding: 25px;
    padding-top: 0px;
    height: 100%;

 }
 .location-widget-stats {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}
 .location-widget-body  .location-widget-stats .location-widget-item 
{
   padding-top: 1rem;
   margin-left: 5px;
   line-height: 2;
}
.location-widget-body  .location-widget-stats .location-widget-item:last-child {
    padding-left: 1rem;
}
.flex-fill {
    -webkit-box-flex: 1!important;
    -ms-flex: 1 1 auto!important;
    flex: 1 1 auto!important;
}
.location-widget-body  .location-widget-stats .location-widget-item .subtitel {
    color: #595d6e;
    font-weight: 500;
    display: block;
}
 .location-widget-body  .location-widget-stats .location-item .location-widget-date
{
    color: #595d6e;
    font-weight: 500;
    padding-bottom: 1rem;
    font-size:1.3rem;
    display: block;
}
.location-widget-footer 
{
        border-top: 1px solid #ebedf2;
        width: 100%;
}
.location-widget-footer .footer-wrapper 
    {
    padding: 15px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    }

.location-widget-footer  .footer-wrapper-section 
{
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
.location-widget-footer .footer-wrapper-section-blog
 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
 }
 .location-widget-footer .footer-wrapper-section-blog a
 {
    font-weight: 700;
    padding-left: .6rem;
 }
       
.kt-media.kt-media--circle 
{
    border-radius: 50%;
}

.kt-media {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    border-radius: 4px;
}
.kt-media img {
    width: 65px;
}

.kt-media.kt-media--circle img {
    border-radius: 50%;
}
.kt-media.kt-media--md img {
    width: 100%;
    max-width: 47px;
    height: 47px;
}
.btn.btn-label-danger {
    background-color: rgba(253,57,122,.1);
    color: #fd397a;
    cursor: text!important;
}
.btn.btn-label-success {
    background-color: rgba(29,201,183,.1);
    color: #1dc9b7;
    cursor: text!important;
}
.money {
    color: #48465b;
    font-size: 25px;
    font-weight: 800;
}
.monnaie {
    font-weight: 600;
}
.separator.separator-v {
    width: 2px;
    height: 15px;
}

.separator {
    display: inline-block;
    width: 12px;
    height: 4px;
    border-radius: 2px;
    background: #e7e8ef;
    margin: 0 .2rem 0 .2rem;
}
.location-widget-header-media .icon-bl
{
font-size: 3rem;
    color: #6c757d61;
}
</style>